com.lowagie.text.pdf.parser

## Class PdfContentStreamProcessor.SetTextRenderMode

- java.lang.Object
- - com.lowagie.text.pdf.parser.PdfContentStreamProcessor.SetTextRenderMode

- All Implemented Interfaces:
    ContentOperator
  Enclosing class:
    PdfContentStreamProcessor

      private static class PdfContentStreamProcessor.SetTextRenderMode
      extends java.lang.Object
      implements ContentOperator

  A content operator implementation (Tr).

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `PdfContentStreamProcessor.SetTextRenderMode()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `invoke(PdfContentStreamProcessor processor, PdfLiteral operator, java.util.ArrayList operands)` Invokes a content operator.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PdfContentStreamProcessor.SetTextRenderMode

          private PdfContentStreamProcessor.SetTextRenderMode()

  - ### Method Detail

    - #### invoke

          public void invoke(PdfContentStreamProcessor processor,
                    PdfLiteral operator,
                    java.util.ArrayList operands)

      Description copied from interface: `ContentOperator`
      Invokes a content operator.
      Specified by:
        `invoke` in interface `ContentOperator`
      Parameters:
        `processor` - the processor that is dealing with the PDF content
        `operator` - the literal PDF syntax of the operator
        `operands` - the operands that come with the operator